View Issue Details

IDProjectCategoryView StatusLast Update
0001700Ham Radio DeluxeBugpublic2018-04-09 14:37
Reporteruser36 
Assigned ToJOSE 
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0001700: Rotator - Edge column of Maidenhead grid legends not showing
DescriptionDepending on a user's longitude, the far edge column of maidenhead square legends does not show up due to the offset of the grid by centering on the user's QTH.

Suggest centering the user's grid square vice the actual position.
Steps To Reproduce1. Shut down Rotator
2. Launch Logbook
3. Configure location to CM97bx:
   a. Go to Tools->Configure-My Station
   b. Enter CM97bx in the Locator box
   c. Click the "down arrow" to populate Lat/Long
4. Launch Rotator
5. Ensure the full map is displayed
6. In the menu bar, select "Display" then ensure "Maidenhead Squares" is selected
7. Observe the rightmost column (LR-LA) is missing.
8. Optional: DM06du works correctly as a location, so you might want to verify that grid will give the proper display.
TagsNo tags attached.
ModuleRotator
Sub-ModuleMaps
Testing Beta Successful

Relationships

Activities

PD9FER

2017-08-10 08:55

viewer   ~0003958

Columns on the display edge are missing the header still in build 777

Knipsel.JPG (290,988 bytes)

JOSE

2018-03-17 16:38

developer   ~0004507

bug fixed in control-MikeB2017 also in control-Jose

vk2byi

2018-03-23 19:49

viewer   ~0004552

I can verify that the LR-LA column is now visible with the location set to CM97bx - so it is fixed.

I also decided to check with my location restored to QF55mx. No columns are missing, but the HR-HA column labels are being cropped. I can see why the labels may get cropped on the left or right edges depending upon the map center point. I can still determine what the labels are, so I do not consider this a defect.

Mantis 1700 Test QF55mx.jpg (170,056 bytes)
Mantis 1700 Test QF55mx.jpg (170,056 bytes)
Mantis 1700 Test CM97bx.jpg (170,415 bytes)
Mantis 1700 Test CM97bx.jpg (170,415 bytes)

JOSE

2018-03-23 20:36

developer   ~0004553

vk2byi what I did for that case is to shift the label on the last column if it doesn't fit. Once the fix where the label is missing goes live it should prevent the label from being cropped as well.

vk2byi

2018-03-23 21:12

viewer   ~0004555

Even better Jose! Regards Chris (VK2BYI)

g3ucq

2018-03-26 03:16

viewer   ~0004579

LR/LA visible. Fixed

Issue History

Date Modified Username Field Change
2014-08-18 14:13 user36 New Issue
2015-09-17 13:15 WA9PIE Category Rotator => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-22 23:42 WA9PIE Fix Build TBD => (select)
2015-09-22 23:42 WA9PIE Summary Bug: Rotator - Edge column of Maidenhead grid legends not showing => Rotator - Edge column of Maidenhead grid legends not showing
2017-08-10 08:55 PD9FER File Added: Knipsel.JPG
2017-08-10 08:55 PD9FER Note Added: 0003958
2018-03-04 00:53 WA9PIE Status new => assigned
2018-03-04 00:53 WA9PIE Assigned To => JOSE
2018-03-04 00:54 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-04 00:56 WA9PIE Testing => Not Started
2018-03-17 16:38 JOSE Status assigned => resolved
2018-03-17 16:38 JOSE Resolution open => fixed
2018-03-17 16:38 JOSE Note Added: 0004507
2018-03-22 07:05 WA9PIE Target Version => 6.4.0.797
2018-03-22 07:06 WA9PIE Fixed in Version => 6.4.0.797
2018-03-23 19:49 vk2byi File Added: Mantis 1700 Test CM97bx.jpg
2018-03-23 19:49 vk2byi File Added: Mantis 1700 Test QF55mx.jpg
2018-03-23 19:49 vk2byi Note Added: 0004552
2018-03-23 20:36 JOSE Note Added: 0004553
2018-03-23 21:12 vk2byi Note Added: 0004555
2018-03-26 03:16 g3ucq Note Added: 0004579
2018-03-30 19:42 WA9PIE Testing Not Started => Beta Successful
2018-04-04 14:31 WA9PIE Status resolved => closed
2018-04-04 15:30 WA9PIE Target Version 6.4.0.797 =>
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.797 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806